Package org.pushingpixels.substance.internal.ui

# Class SubstanceFormattedTextFieldUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TextUI
javax.swing.plaf.basic.BasicTextUI
javax.swing.plaf.basic.BasicTextFieldUI
javax.swing.plaf.basic.BasicFormattedTextFieldUI
org.pushingpixels.substance.internal.ui.SubstanceFormattedTextFieldUI

All Implemented Interfaces:
  `ViewFactory`, `TransitionAwareUI`

public class SubstanceFormattedTextFieldUI extends BasicFormattedTextFieldUI implements TransitionAwareUI
UI for formatted text fields in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StateTransitionTracker`
`stateTransitionTracker`
`protected PropertyChangeListener`
`substancePropertyChangeListener`
Property change listener.
`protected JFormattedTextField`
`textField`
The associated formatted text field.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceFormattedTextFieldUI(JComponent c)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`StateTransitionTracker`
`getTransitionTracker()`
Returns the model for tracking the transitions.
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`boolean`
`isInside(MouseEvent me)`
Checks whether the mouse position of the specified event lies inside the area of the component designated for transition effects.
`protected void`
`paintBackground(Graphics g)`
`protected void`
`uninstallListeners()`

### Methods inherited from class javax.swing.plaf.basic.BasicFormattedTextFieldUI

`getPropertyPrefix`

### Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI

`create, getBaseline, getBaselineResizeBehavior`

### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installKeyboardActions, installUI, modelChanged, modelToView, modelToView, modelToView2D, paint, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallUI, update, viewToModel, viewToModel, viewToModel2D`

### Methods inherited from class javax.swing.plaf.TextUI

`getToolTipText2D`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stateTransitionTracker

protected StateTransitionTracker stateTransitionTracker

### textField

protected JFormattedTextField textField
The associated formatted text field.

### substancePropertyChangeListener

protected PropertyChangeListener substancePropertyChangeListener
Property change listener.

## Constructor Details

### SubstanceFormattedTextFieldUI

public SubstanceFormattedTextFieldUI(JComponent c)
Simple constructor.

Parameters:
  `c` - Component (formatted text field).

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `BasicTextUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `BasicTextUI`

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `BasicTextUI`

### paintBackground

protected void paintBackground(Graphics g)

Overrides:
  `paintBackground` in class `BasicTextUI`

### isInside

public boolean isInside(MouseEvent me)
Description copied from interface: `TransitionAwareUI`
Checks whether the mouse position of the specified event lies inside the area of the component designated for transition effects.

Specified by:
  `isInside` in interface `TransitionAwareUI`
Parameters:
  `me` - Mouse event.
Returns:
  `true` if the mouse position of the specified event lies inside the area of the component designated for transition effects, `false` otherwise.

### getTransitionTracker

public StateTransitionTracker getTransitionTracker()
Description copied from interface: `TransitionAwareUI`
Returns the model for tracking the transitions.

Specified by:
  `getTransitionTracker` in interface `TransitionAwareUI`
Returns:
  Model for tracking the transitions.